Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class AbstractCompile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.compile.AbstractCompile

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, org.gradle.util.Configurable<Task>

Direct Known Subclasses:
  Compile, GroovyCompile, ScalaCompile

    public abstract class AbstractCompile

extends SourceTask

The base class for all JVM-based language compilation tasks.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`AbstractCompile()`

Method Summary
`protected abstract void` | `compile()`
`FileCollection` | `getClasspath()` Returns the classpath to use to compile the source files.
`File` | `getDestinationDir()` Returns the directory to generate the `.class` files into.
`String` | `getSourceCompatibility()` Returns the Java language level to use to compile the source files.
`String` | `getTargetCompatibility()` Returns the target JVM to generate the `.class` files for.
`void` | `setClasspath(FileCollection configuration)` Sets the classpath to use to compile the source files.
`void` | `setDestinationDir(File destinationDir)` Sets the directory to generate the `.class` files into.
`void` | `setSourceCompatibility(String sourceCompatibility)` Sets the Java language level to use to compile the source files.
`void` | `setTargetCompatibility(String targetCompatibility)` Sets the target JVM to generate the `.class` files for.

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCompile

    public AbstractCompile()

Method Detail

### compile

    protected abstract void compile()

### getClasspath

    public FileCollection getClasspath()

  Returns the classpath to use to compile the source files.

  Returns:
    The classpath.

### setClasspath

    public void setClasspath(FileCollection configuration)

  Sets the classpath to use to compile the source files.

  Parameters:
    `configuration` - The classpath. Must not be null, but may be empty.

### getDestinationDir

    public File getDestinationDir()

  Returns the directory to generate the `.class` files into.

  Returns:
    The destination directory.

### setDestinationDir

    public void setDestinationDir(File destinationDir)

  Sets the directory to generate the `.class` files into.

  Parameters:
    `destinationDir` - The destination directory. Must not be null.

### getSourceCompatibility

    public String getSourceCompatibility()

  Returns the Java language level to use to compile the source files.

  Returns:
    The source language level.

### setSourceCompatibility

    public void setSourceCompatibility(String sourceCompatibility)

  Sets the Java language level to use to compile the source files.

  Parameters:
    `sourceCompatibility` - The source language level. Must not be null.

### getTargetCompatibility

    public String getTargetCompatibility()

  Returns the target JVM to generate the `.class` files for.

  Returns:
    The target JVM.

### setTargetCompatibility

    public void setTargetCompatibility(String targetCompatibility)

  Sets the target JVM to generate the `.class` files for.

  Parameters:
    `targetCompatibility` - The target JVM. Must not be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD